# Exchange codes

{% hint style="info" %}
You can explore all exchanges, assets, and get codes for them using our [instrument explorer](https://instruments.kaiko.com/#/exchanges). Alternatively, if you want to obtain the data in a more programmatic way, use this endpoint.
{% endhint %}

### What is this endpoint for?

This endpoint retrieves a list of exchanges and associated codes.

### Endpoint

```
https://reference-data-api.kaiko.io/v1/exchanges
```

### Parameters

No parameters supported

### Fields

<table><thead><tr><th width="344">Field</th><th>Description</th></tr></thead><tbody><tr><td><code>code</code></td><td>Kaiko identifier for the exchange.</td></tr><tr><td><code>kaiko_legacy_slug</code></td><td>Identifier used in delivery of aggregated data.</td></tr><tr><td><code>name</code></td><td>The exchange name.</td></tr></tbody></table>

### Request example

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```url
curl --compressed -H 'Accept: application/json' 'https://reference-data-api.kaiko.io/v1/exchanges'
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Response example

{% tabs %}
{% tab title="JSON" %}
{% code fullWidth="false" %}

```json
{
  "result": "success",
  "data": [
    {
      "code": "bfly",
      "name": "bitFlyer",
      "kaiko_legacy_slug": "bl"
    },
    {
      "code": "bfnx",
      "name": "Bitfinex",
      "kaiko_legacy_slug": "bf"
    }
    /* ... */
  ]
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

{% hint style="warning" %}
We strive to use only one exchange code to cover all the instrument classes such as spot, futures and etc. However, due the legacy issues, we might use different exchange codes for one exchange. The following exchanges are the exchanges that have more than one exchange codes, covering different instrument classes.&#x20;

* Binance
* Bybit
* Huobi
* Kraken
  {% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiko.com/rest-api/data-feeds/reference-data/basic-tier/exchange-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
